#
# Copyright (c) 2016, The National Archives <pronom@nationalarchives.gsi.gov.uk>
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following
# conditions are met:
#
#  * Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
#
#  * Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the distribution.
#
#  * Neither the name of the The National Archives nor the
#    names of its contributors may be used to endorse or promote products
#    derived from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
# AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
# PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR
# CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
# EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
# PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
# LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
# NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
# SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

# The number of milliseconds to delay between processing files:
profile.defaultThrottle=0

# The URL of the PRONOM web service to download binary signatures from:
pronom.update.url=http://apps.nationalarchives.gov.uk/pronom/service.asmx

# The URL of the file on a web server to download container signatures from:
container.update.url=http://apps.nationalarchives.gov.uk/pronom/container-signature.xml

# Whether to automatically check for signature updates: 
update.autoCheck=true

# The number of days between checks for signature updates:
update.frequency.days=30

# Whether to check for new signature updates on start up:
update.frequency.startup=false

# Whether to make any newly downloaded signatures the default for new profiles:
update.autoSetDefault=true

# Whether to use network proxy settings when downloading signatures:
update.proxy=false

# The proxy host to use if using a network proxy:
update.proxy.host=proxy

# The proxy port to use if using a network proxy:
update.proxy.port=8080

# The date time of the last time a signature was downloaded:
# Should update this value to after the last signature file shipped with DROID
# was made available for download.
update.lastCheck=1296238259142

# Whether to prompt the user if a new signature is available:
update.downloadPrompt=true

# The default binary signature file version to use in new profiles:
profile.defaultBinarySigFileVersion=DROID_SignatureFile_V84

# The default container signature file version to use in new profiles:
profile.defaultContainerSigFileVersion=container-signature-20160121

# Whether to profile inside archival files (zip, gzip, tar) 
profile.processArchives=true

# Whether to profile inside web archival files (arc, warc)
profile.processWebArchives=false

# The maximum number of bytes to scan at the beginning and end of a file
# when checking binary signatures.  Setting this value to -1 means
# there is no limit to how much of the file may be scanned.
profile.maxBytesToScan=65536

# Whether to match all extensions, or just ones without another signature attached.
profile.matchAllExtensions=false

# DEBUG: A URL to append to the database JDBC creation URL.
database.createUrl={none}

# DEBUG: if development mode is true, DROID will not delete profiles
# created in its working area when the profile is closed.  This enables
# other database tools to be used on the created profile without having
# to save it to a droid profile file first, and then to unzip it afterwards. 
development_mode=false

# The string pattern to use to generate web addresses when clicking on
# PUID hyperlinks in the GUI.  The %s is replaced by the PUID, giving
# the full URL to use.
puid.urlPattern=http://www.nationalarchives.gov.uk/pronom/%s

# Whether CSV export defaults to one row per format, or one row per file.
export.rowPerFormat=false

# Whether to generate a hash value for each file profiled or not:
profile.generateHash=false

# Default algorithm used to generate hashes
profile.hashAlgorithm=md5

# Whether the database should be durable in operation or not.
# If set to false, then performance is enhanced, but the database
# could become corrupted more easily if power fails, or some other
# bad event occurs.
database.durability=true
